GNU bug report logs - #34319
guix-core failed to build: return used outside of 'with-monad'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Severity: serious; Reported by: Mark H Weaver <mhw@HIDDEN>; Keywords: unreproducible; merged with #27476, #27652, #28144, #31294, #31367, #31740, #32385, #34112; dated Mon, 4 Feb 2019 19:41:02 UTC; Maintainer for guile is bug-guile@HIDDEN.
bug reassigned from package 'guix' to 'guile'. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 27476 27652 28144 31294 31367 31740 32385 34112 34319. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 27476 27652 31740 34112 34319. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'serious' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Feb 2019 19:41:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 14:41:00 2019
Received: from localhost ([127.0.0.1]:59730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqk72-0006CE-4h
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 14:41:00 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gqk6z-0006C1-M0
 for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 14:40:58 -0500
Received: from lists.gnu.org ([209.51.188.17]:54587)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gqk6r-0000FZ-Vh
 for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 14:40:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50609)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gqk6q-0007i5-T0
 for bug-guix@HIDDEN; Mon, 04 Feb 2019 14:40:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gqk5P-0006ik-De
 for bug-guix@HIDDEN; Mon, 04 Feb 2019 14:39:20 -0500
Received: from world.peace.net ([64.112.178.59]:50576)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gqk5P-0006ad-85
 for bug-guix@HIDDEN; Mon, 04 Feb 2019 14:39:19 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gqk5D-0008Ep-JU; Mon, 04 Feb 2019 14:39:07 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix-core failed to build: return used outside of 'with-monad'
Date: Mon, 04 Feb 2019 14:37:58 -0500
Message-ID: <87va1z2vke.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 64.112.178.59
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hydra is currently unable to produce new evaluations of 'master', due to
a build failure in the 'guix-core' derivation, specifically:

  /gnu/store/50lyirc9g8z8qv9r860hp00d5qm5xijd-guix-core.drv

See below for the tail of the failed build log.

      Mark
       

In ice-9/psyntax.scm:
  1679:45 19 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17 18 (map1 (((("l-10a3c941d34314a1-465b" macro . #<procedure 95f660 at ice-9/eval.scm:333:13 (a)>) ("placeholder" placeholder) ("l-10a3c941d34314a1-4657" lexical . #) ("l-10a?" . #) ?) . #)))
In ice-9/psyntax.scm:
  2338:44 17 (expand-let _ _ _ ((line . 497) (column . 6) (filename . "./guix/monads.scm")) _ #<procedure build-let (src ids vars val-exps body-exp)> _ _ _)
  1679:45 16 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17 15 (map1 (((("placeholder" placeholder) ("l-10a3c941d34314a1-4673" lexical . tail-10a3c941d34314a1-4674) ("l-10a3c941d34314a1-465b" macro . #<procedure 95f660 at ice-9/eval.scm:3?>) ?) ?)))
In ice-9/psyntax.scm:
  1484:23 14 (_ _ _)
In ice-9/boot-9.scm:
   222:29 13 (map1 (#<syntax (mproc head)> #<syntax (lambda (result) (if result (return result) (loop tail)))>))
   222:17 12 (map1 (#<syntax (lambda (result) (if result (return result) (loop tail)))>))
In ice-9/psyntax.scm:
  1789:11 11 (lp ((if result (return result) (loop tail))) ())
  1679:45 10 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17  9 (map1 (((("placeholder" placeholder) ("l-10a3c941d34314a1-4693" lexical . result-10a3c941d34314a1-4692) ("placeholder" placeholder) ("l-10a3c941d34314a1-4673" lexical . #) # # ?) . #)))
In ice-9/psyntax.scm:
  1407:23  8 (_ _ (return result) (loop tail))
  1348:32  7 (syntax-type (return result) (("placeholder" placeholder) ("l-10a3c941d34314a1-4693" lexical . result-10a3c941d34314a1-4692) ("placeholder" placeholder) ("l-10a3c941d34314a1-?" . #) ?) ?)
  1559:32  6 (expand-macro #<procedure 3d93ec0 at ice-9/eval.scm:333:13 (a)> _ _ _ _ _ _)
In ice-9/boot-9.scm:
   752:25  5 (dispatch-exception _ _ _)
   751:25  4 (dispatch-exception 1 syntax-error (return "return used outside of 'with-monad'" ((line . 504) (column . 20) (filename . "./guix/monads.scm")) (return result) #f))
In guix/build/compile.scm:
    122:6  3 (_ _ . _)
In ice-9/boot-9.scm:
    829:9  2 (catch #t #<procedure 3d511a0 at guix/build/compile.scm:122:6 ()> #<procedure 7ffff3d0b888 at guix/build/compile.scm:122:6 args> _)
In guix/build/compile.scm:
   125:21  1 (_)
In unknown file:
           0 (make-stack #t)
guix/build/compile.scm:125:21: Syntax error:
./guix/monads.scm:505:20: return: return used outside of 'with-monad' in form (return result)
builder for `/gnu/store/50lyirc9g8z8qv9r860hp00d5qm5xijd-guix-core.drv' failed with exit code 1




Acknowledgement sent to Mark H Weaver <mhw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34319; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 9 Feb 2019 22:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.